System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IDisposable

The interface allows an inheriting class to implement a Transaction class, which represents the transaction to be performed at a data source. For more information about Transaction classes, see [<topic://cpconperformingtransactions>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement the inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines the method. In turn, the class inherits this property, and also defines the method.

Represents a transaction to be performed at a data source, and is implemented by .NET Framework data providers that access relational databases.

- Method
  System.Void To be added

  Commits the database transaction.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IDbConnection To be added: an object of type 'IDbConnection'

  A single application may have multiple database connections, each with zero or more transactions. This property enables you to determine the connection object associated with a particular transaction.

  Specifies the Connection object to associate with the transaction.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IsolationLevel To be added: an object of type 'IsolationLevel'

  Parallel transactions are not supported. Therefore, the applies to the entire transaction.

  Specifies the for this transaction.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The transaction can only be rolled back from a pending state (after has been called, but before is called).

  Rolls back a transaction from a pending state.

  1.0.5000.0
  2.0.0.0